# norootforbuild

%define _prefix	/usr

Name:			liboil-0_3-0
Summary:		Library of Optimized Inner Loops
Version:		0.3.16
Release:		15.3
URL:			http://liboil.freedesktop.org/wiki/
Group:			System/Libraries
License:		Other uncritical OpenSource License
Source:			http://liboil.freedesktop.org/download/liboil-%{version}.tar.gz
Source90:		liboil-rpmlintrc
Patch0:			liboil-disable-sse.patch
Patch1:			liboil-random-data-warning.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel
BuildRequires:	glib2-devel
BuildRequires:	gtkdoc
BuildRequires:	sgml-skel
# openSuSE-10.2, 10.3
Provides:		liboil = 0.3.9
# openSuSE-11.0
Provides:		liboil = 0.3.14
# openSuSE-11.1
Provides:		liboil = 0.3.15
Obsoletes:		liboil <= 0.3.15
# old packman name
Provides:		liboil0 = 0.3.15
Obsoletes:		liboil0 <= 0.3.15

%description
Liboil is a library of simple functions that are optimized for
various CPUs. These functions are generally loops implementing
simple algorithms, such as converting an array of N integers to
floating-point numbers or multiplying and summing an array of N
numbers. Such functions are candidates for significant
optimization using various techniques, especially by using
extended instructions provided by modern CPUs (Altivec, MMX, SSE,
etc.).

Many multimedia applications and libraries already do similar things
internally. The goal of this project is to consolidate some of the
code used by various multimedia projects, and also make optimizations
easier to use by a broader range of applications.

Author: David Schleef <ds@schleef.org>

%package -n liboil-devel
Summary:	Development files for the liboil library
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}
Requires:	glib2-devel
Requires:	glibc-devel

%description -n liboil-devel
Liboil is a library of simple functions that are optimized for
various CPUs. These functions are generally loops implementing
simple algorithms, such as converting an array of N integers to
floating-point numbers or multiplying and summing an array of N
numbers. Such functions are candidates for significant
optimization using various techniques, especially by using
extended instructions provided by modern CPUs (Altivec, MMX, SSE,
etc.).

Many multimedia applications and libraries already do similar things
internally. The goal of this project is to consolidate some of the
code used by various multimedia projects, and also make optimizations
easier to use by a broader range of applications.

Author: David Schleef <ds@schleef.org>

%package -n liboil-doc
Summary:	Documentation for liboil
Group:		Documentation/Other
Requires:	gnome-filesystem

%description -n liboil-doc
Liboil is a library of simple functions that are optimized for
various CPUs. These functions are generally loops implementing
simple algorithms, such as converting an array of N integers to
floating-point numbers or multiplying and summing an array of N
numbers. Such functions are candidates for significant
optimization using various techniques, especially by using
extended instructions provided by modern CPUs (Altivec, MMX, SSE,
etc.).

Many multimedia applications and libraries already do similar things
internally. The goal of this project is to consolidate some of the
code used by various multimedia projects, and also make optimizations
easier to use by a broader range of applications.

Author: David Schleef <ds@schleef.org>

%debug_package

%prep
%setup -q -n liboil-%{version}
%patch
%patch1

autoreconf -fi

%build
%configure \
	--enable-gtk-doc

%if %suse_version <= 1100
ln -sf /usr/bin/libtool .
%endif

# remove standard rpath from oil-bugreport
#%__sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
#%__sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%check
%__make check

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*

%files -n liboil-devel
%defattr (-, root, root)
%doc HACKING BUG-REPORTING
%{_bindir}/*
%{_libdir}/*.*a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/liboil-*

%files -n liboil-doc
%defattr (-, root, root)
%{_datadir}/gtk-doc/html/liboil

%changelog
* Sat Dec 27 2008 Carsten Schoene <cs@linux-administrator.com>
- initial import
